# xarray.DataArray.drop_vars

`DataArray.``drop_vars`(names: Union[Hashable, Iterable[Hashable]], *, errors: str = 'raise') → xarray.core.dataarray.DataArray

  Drop variables from this DataArray.

  Parameters:

  - names (hashable or iterable of hashables) – Name(s) of variables to drop.
  - errors ({'raise', 'ignore'}, optional) – If ‘raise’ (default), raises a ValueError error if any of the variable passed are not in the dataset. If ‘ignore’, any given names that are in the DataArray are dropped and no error is raised.

  Returns: | dropped
  Return type: | Dataset